#version 150
in vec2 Texcoord;
out vec4 outColor;
uniform sampler2D texFramebuffer;
void main() {
    vec4 tmpCol = vec4(0.0);
    
    float stepX = 1.0 / 600.0;
    float stepY = 1.0 / 400.0;
    
    for(int x=-3; x<=3; x++) {
        for(int y=-3; y<=3; y++) {
            tmpCol += texture(texFramebuffer, Texcoord+vec2(x * stepX, y * stepY)) / 49.0;
        }
    }
    
    outColor = tmpCol * vec4(0.5, 0.5, 0.5, 1.0);
}
